
TYPO3.Setup - Task # 42730

Story # 41853 (New): As an integrator I want an optimized setup

Status: Resolved Priority: Must have
Author: Markus Goldbeck Category:
Created: 2012-11-06 Assigned To: Karsten Dambekalns
Updated: 2012-12-05 Due date:
Subject: Importing Sitepackage or creating and creating admin is gone in the Setup
Description

After the renaming changes

https://review.typo3.org/#/q/status:open+project:FLOW3/Packages/TYPO3.TYPO3,n,z

the step with importing or creating a site package and creating an admin user is gone

Related issues:
related to TYPO3.Flow - Bug # 28672: Inconsistent configuration overrides for... Resolved 2011-08-02
duplicated by Base Distribution - Task # 42740: Make all setup steps accessib... Closed

History
#1 - 2012-11-06 15:32 - Aske Ertmann

http://git.typo3.org/FLOW3/Packages/TYPO3.TYPO3.git?a=blob;f=Configuration/Settings.yaml;h=cf20f40684df64b59d4ad5d5ce8d2b9da1d05751;hb
HEAD#l129 looks like it should though, could be a loading order problem but 
http://git.typo3.org/FLOW3/Packages/TYPO3.TYPO3.git?a=blob;f=composer.json;h=90514b90e74dfc6d4054b9d41b480caa4274e69d;hb=HEAD looks
correct also..

So maybe a yaml configuration change (related to overwriting values) in Flow could have caused this, if any were merged recently?

#2 - 2012-11-06 15:38 - Markus Goldbeck

Loading order PackagesStates.php
https://gist.github.com/4025059

#3 - 2012-11-06 15:41 - Markus Goldbeck
- File settings.txt added

output of ./flow configuration:show --type Settings

and on gist
https://gist.github.com/4025115

#4 - 2012-11-06 15:53 - Aske Ertmann
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- % Done changed from 0 to 20
See the settings output gist on line 508 where the step order is. The second parameter in the loading order has not been overwritten as it previously
did. Also title setting on line 532 should say "TYPO3 Neos Setup" and the final step configuration should say "TYPO3\Neos\Setup\Step\FinalStep" and
not "TYPO3\Setup\Step\FinalStep"

#5 - 2012-11-06 16:05 - Markus Goldbeck

false url for the renaming changes sorry
https://review.typo3.org/#/q/status:merged+branch:master+topic:phoenix-is-now-neos,n,z

#6 - 2012-11-07 10:05 - Karsten Dambekalns

I think it's really an ordering issue. Before the Neos rename it would be

    -  TYPO3.Setup
    -  TYPO3.TYPO3

Now it is

    -  TYPO3.Neos
    -  TYPO3.Setup

Boom.

#7 - 2012-11-08 22:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#8 - 2012-11-08 22:03 - Christian Jul Jensen

Please test the patch, it is WIP, but the it should be ok in terms of functionality.

#9 - 2012-11-09 11:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#10 - 2012-11-09 11:10 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#11 - 2012-11-09 13:01 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328
#12 - 2012-11-11 02:26 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#13 - 2012-11-13 14:56 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#14 - 2012-11-20 10:40 - Karsten Dambekalns
- Status changed from Accepted to Closed
- Parent task set to #41853

Closing as duplicate of #42740

#15 - 2012-11-20 10:41 - Karsten Dambekalns
- Status changed from Closed to Accepted

Grrr. Wanted to close the other.

#16 - 2012-11-20 10:43 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#17 - 2012-11-21 14:10 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#18 - 2012-11-28 07:17 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#19 - 2012-11-28 08:34 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16328

#20 - 2012-12-05 09:59 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 20 to 100
Files
TYPO3.Setup.png 178 kB 2012-11-06 Markus Goldbeck
TYPO3.Setup-1.png 126.4 kB 2012-11-06 Markus Goldbeck
settings.txt 41.2 kB 2012-11-06 Markus Goldbeck
